Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class JBossStreamMessage

    java.lang.Object
      org.jboss.messaging.core.message.RoutableSupport
          org.jboss.messaging.core.message.MessageSupport
              org.jboss.jms.message.JBossMessage
                  org.jboss.jms.message.JBossStreamMessage

All Implemented Interfaces:
  java.io.Externalizable, Message, Routable, java.io.Serializable

public class JBossStreamMessage
extends JBossMessage

This class implements javax.jms.StreamMessage.

Version:
  $Revision: 1.20 $ $Id: JBossStreamMessage.java,v 1.20 2006/04/20 20:42:25 timfox Exp $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Adrian Brock, Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected int` | `offset`
`protected int` | `position`
`protected int` | `size`
`static byte` | `TYPE`

Fields inherited from class org.jboss.jms.message.JBossMessage
`connectionID, correlationID, correlationIDBytes, destination, jmsMessageID, jmsType, properties, replyToDestination`

Fields inherited from class org.jboss.messaging.core.message.RoutableSupport
`BOOLEAN, BYTE, BYTES, deliveryCount, DOUBLE, expiration, FLOAT, headers, INT, LIST, LONG, MAP, messageID, NULL, OBJECT, priority, redelivered, reliable, SHORT, STRING, timestamp`

Fields inherited from interface org.jboss.messaging.core.Routable
`COLLECTOR_ID, REMOTE_ROUTABLE, REPLICATOR_ID`

Constructor Summary
`JBossStreamMessage()` Only deserialization should use this constructor directory
`JBossStreamMessage(JBossStreamMessage other)` Make a shallow copy of another JBossStreamMessage
`JBossStreamMessage(long messageID)`
`JBossStreamMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, byte[] payloadAsByteArray, int persistentChannelCount, java.lang.String jmsType, java.lang.String correlationID, byte[] correlationIDBytes, JBossDestination destination, JBossDestination replyTo, java.util.HashMap jmsProperties)`
`JBossStreamMessage(StreamMessage foreign, long id)`

Method Summary
`void` | `clearBody()`
`void` | `copyPayload(java.lang.Object other)`
`void` | `doAfterSend()`
`JBossMessage` | `doShallowCopy()`
`byte` | `getType()`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`int` | `readBytes(byte[] value)`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`java.lang.Object` | `readObject()`
`protected java.io.Serializable` | `readPayloadExternal(java.io.ObjectInput in, int length)` Override this if you want more sophisticated payload externalization.
`short` | `readShort()`
`java.lang.String` | `readString()`
`void` | `reset()`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeBytes(byte[] value, int offset, int length)`
`void` | `writeChar(char value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeObject(java.lang.Object value)`
`protected void` | `writePayloadExternal(java.io.ObjectOutput out, java.io.Serializable thePayload)` Override this if you want more sophisticated payload externalization.
`void` | `writeShort(short value)`
`void` | `writeString(java.lang.String value)`

Methods inherited from class org.jboss.jms.message.JBossMessage
`acknowledge, clearProperties, createThinDelegate, dump, getBooleanProperty, getByteProperty, getConnectionID, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSProperties, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, isCorrelationIDBytes, isReference, propertyExists, readDestination, readExternal, setBooleanProperty, setByteProperty, setConnectionID, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSProperties, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setMessageId, setObjectProperty, setShortProperty, setStringProperty, toString, writeDestination, writeExternal`

Methods inherited from class org.jboss.messaging.core.message.MessageSupport
`clearPayloadAsByteArray, copyPayloadAsByteArrayToPayload, decPersistentChannelCount, equals, getHeaders, getMessage, getPayload, getPayloadAsByteArray, getPersistentChannelCount, hashCode, incPersistentChannelCount, setPayload`

Methods inherited from class org.jboss.messaging.core.message.RoutableSupport
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, internalReadObject, internalWriteObject, isExpired, isRedelivered, isReliable, putHeader, readList, readMap, removeHeader, setDeliveryCount, setPriority, setRedelivered, writeList, writeMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.messaging.core.Routable
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, isExpired, isRedelivered, isReliable, putHeader, removeHeader, setDeliveryCount, setPriority, setRedelivered`

Field Detail

### TYPE

    public static final byte TYPE

See Also:
  Constant Field Values

### position

    protected transient int position

### offset

    protected transient int offset

### size

    protected int size

Constructor Detail

### JBossStreamMessage

    public JBossStreamMessage()

  Only deserialization should use this constructor directory

### JBossStreamMessage

    public JBossStreamMessage(long messageID)

### JBossStreamMessage

    public JBossStreamMessage(long messageID,
                              boolean reliable,
                              long expiration,
                              long timestamp,
                              byte priority,
                              java.util.Map coreHeaders,
                              byte[] payloadAsByteArray,
                              int persistentChannelCount,
                              java.lang.String jmsType,
                              java.lang.String correlationID,
                              byte[] correlationIDBytes,
                              JBossDestination destination,
                              JBossDestination replyTo,
                              java.util.HashMap jmsProperties)

### JBossStreamMessage

    public JBossStreamMessage(JBossStreamMessage other)

  Make a shallow copy of another JBossStreamMessage

Parameters:
  `other` -

### JBossStreamMessage

    public JBossStreamMessage(StreamMessage foreign,
                              long id)
                       throws JMSException

Method Detail

### getType

    public byte getType()

  Overrides:
    `getType` in class `JBossMessage`

### doAfterSend

    public void doAfterSend()
                     throws JMSException

  Overrides:
    `doAfterSend` in class `JBossMessage`
  Throws:
    `JMSException`

### copyPayload

    public void copyPayload(java.lang.Object other)
                     throws JMSException

  Overrides:
    `copyPayload` in class `JBossMessage`
  Throws:
    `JMSException`

### readBoolean

    public boolean readBoolean()
                        throws JMSException

  Throws:
    `JMSException`

### readByte

    public byte readByte()
                  throws JMSException

  Throws:
    `JMSException`

### readShort

    public short readShort()
                    throws JMSException

  Throws:
    `JMSException`

### readChar

    public char readChar()
                  throws JMSException

  Throws:
    `JMSException`

### readInt

    public int readInt()
                throws JMSException

  Throws:
    `JMSException`

### readLong

    public long readLong()
                  throws JMSException

  Throws:
    `JMSException`

### readFloat

    public float readFloat()
                    throws JMSException

  Throws:
    `JMSException`

### readDouble

    public double readDouble()
                      throws JMSException

  Throws:
    `JMSException`

### readString

    public java.lang.String readString()
                                throws JMSException

  Throws:
    `JMSException`

### readBytes

    public int readBytes(byte[] value)
                  throws JMSException

  Throws:
    `JMSException`

### readObject

    public java.lang.Object readObject()
                                throws JMSException

  Throws:
    `JMSException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws JMSException

  Throws:
    `JMSException`

### writeByte

    public void writeByte(byte value)
                   throws JMSException

  Throws:
    `JMSException`

### writeShort

    public void writeShort(short value)
                    throws JMSException

  Throws:
    `JMSException`

### writeChar

    public void writeChar(char value)
                   throws JMSException

  Throws:
    `JMSException`

### writeInt

    public void writeInt(int value)
                  throws JMSException

  Throws:
    `JMSException`

### writeLong

    public void writeLong(long value)
                   throws JMSException

  Throws:
    `JMSException`

### writeFloat

    public void writeFloat(float value)
                    throws JMSException

  Throws:
    `JMSException`

### writeDouble

    public void writeDouble(double value)
                     throws JMSException

  Throws:
    `JMSException`

### writeString

    public void writeString(java.lang.String value)
                     throws JMSException

  Throws:
    `JMSException`

### writeBytes

    public void writeBytes(byte[] value)
                    throws JMSException

  Throws:
    `JMSException`

### writeBytes

    public void writeBytes(byte[] value,
                           int offset,
                           int length)
                    throws JMSException

  Throws:
    `JMSException`

### writeObject

    public void writeObject(java.lang.Object value)
                     throws JMSException

  Throws:
    `JMSException`

### reset

    public void reset()
               throws JMSException

  Throws:
    `JMSException`

### clearBody

    public void clearBody()
                   throws JMSException

  Overrides:
    `clearBody` in class `JBossMessage`
  Throws:
    `JMSException`

### doShallowCopy

    public JBossMessage doShallowCopy()

  Overrides:
    `doShallowCopy` in class `JBossMessage`

### writePayloadExternal

    protected void writePayloadExternal(java.io.ObjectOutput out,
                                        java.io.Serializable thePayload)
                                 throws java.io.IOException

  Description copied from class: `MessageSupport`
  Override this if you want more sophisticated payload externalization.

  Overrides:
    `writePayloadExternal` in class `MessageSupport`
  Throws:
    `java.io.IOException`

### readPayloadExternal

    protected java.io.Serializable readPayloadExternal(java.io.ObjectInput in,
                                                       int length)
                                                throws java.io.IOException,
                                                       java.lang.ClassNotFoundException

  Description copied from class: `MessageSupport`
  Override this if you want more sophisticated payload externalization.

  Overrides:
    `readPayloadExternal` in class `MessageSupport`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.